> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get broadcast by id or name



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/broadcasts/{idOrName}
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/broadcasts/{idOrName}:
    get:
      tags:
        - Broadcasts
      summary: Get broadcast by id or name
      operationId: getBroadcastWorkspaceTokenAPI
      parameters:
        - name: idOrName
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id: {}
                  name:
                    type: string
                  status:
                    enum:
                      - scheduled
                      - sent
                      - sending
                    type: string
                  schedulesType:
                    enum:
                      - now
                      - future
                    type: string
                  schedulesAt:
                    type: string
                    format: date-time
                    x-native-type: date
                  flowId:
                    anyOf:
                      - {}
                      - type: 'null'
                  contactCount:
                    anyOf:
                      - type: integer
                        minimum: -2147483648
                        maximum: 2147483647
                      - type: 'null'
                required:
                  - name
                  - status
                  - schedulesType
                  - schedulesAt
                  - contactCount
components:
  securitySchemes:
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````